The Microsoft Dynamics CRM Blog
News and views from the Microsoft Dynamics CRM Team

CRM 3.0 and Exchange 2007 compatibility

CRM 3.0 and Exchange 2007 compatibility

  • Comments 9

Several customers have been asking for more information about the level of compatibility between CRM 3.0 and Exchange 2007. Because of some known limitations, some of which require careful planning, this topic deserves some clarifications.

Key facts:

  1. The “V3C” compatibility version of Microsoft Dynamics CRM 3.0 is required for proper interoperability with Exchange 2007.
  2. This version can be used to distribute forward rules to Exchange 2007 mailboxes (in addition to Exchange 2000 and 2003 mailboxes).
  3. This version, however, cannot be used to run the e-mail router service on an Exchange 2007 server.

In other terms, when planning an upgrade to Exchange 2007, leaving behind an Exchange 2000 or 2003 server to run the e-mail router service is a requirement. User mailboxes, on the other hand, can safely be upgraded to Exchange 2007, and can be made to receive rules using the CRM 3.0 “V3C” rule deployment wizard.

Microsoft Dynamics CRM 3.0 was released in December 2005. At time of release, a 32 bit solution was the preferred choice for the vast majority of customers. CRM 3.0 was therefore designed to support 32 bit platforms. Exchange 2007 however was released in the first quarter of 2007 as a 64 bit solution, following recent gains in momentum around 64 bit architectures.

On an Exchange 2007 server, the CDOEX library (used by the e-mail router to process forwarded e-mails) is available in 64 bit mode only. Given the fact that a 32 bit process cannot load a 64 bit library, it became impossible for the e-mail router to connect to Exchange 2007 using this library. This is why it is necessary to run the CRM 3.0 e-mail router on an Exchange 2000 or 2003 server.

Re-writing the e-mail router to use the HTTP-DAV protocol instead of using CDOEX could have solved the problem. However, we felt this change would have been too destabilizing and would have required extensive testing. We therefore decided to postpone this re-write until the next version of CRM.

The next major version of Dynamics CRM (codename ‘Titan’) is scheduled to ship later this calendar year. With this release, the development team added support for the HTTP-DAV protocol in addition to native 64 bit support (for high scalability). This will make it possible for the new e-mail router to work against Exchange 2007 (whether running in 32 bit or 64 bit mode). Even better, the new e-mail router will be able to connect remotely to Exchange, eliminating the requirement to install it directly on an Exchange server.

Please expect other e-mail integration improvements as well in the next version, so keep posted!

Dominic Pouzin

  • PingBack from http://www.artofbam.com/wordpress/?p=3390

  • Thank you! Finally, a clear and brief explanation of Exchange / CRM compatibility issues.

  • Thanks to Dominic for this detailed post on Exchange 2007 Compatibility with CRM 3.0.

    It has been a definite pain for partners selling ...

  • So if I understand this correctly.  When installing the CRM outlook client on an outlook 2007 machine we need to install v3c followed by rollup 2?

  • Correct.  V3C is needed to support Outlook 2007 and/or Vista.

    Link to writeup to latest Microsoft CRM updates and approach:

    http://microsoft-crm.spaces.live.com/blog/cns!A2586C4AB938C065!192.entry

  • Can you expand on this a bit.  Will Exchange 2007 be required or recomended for Titan.  Exchange plays into so much, including our Cisco Unity Phone servers that I need to make some decisions, and infrom my clients, on the path necessary for the whole Exchange planning.  Currently our phone system will not support EXCH2007 at all.  And the upgrade will only work if the Mail Store is moved off the Exchange box, which seems to have significant ramifications for CRM, but with very little information forethcoming my folks are getting sick of the "we have to wait for more info" pitch.

    Rock = ME = Hardplace

  • Hi John,

    I sympathize with your situation. Some NDAs (non-disclosure agreements) have just expired, so I am in the process of writing a blog article about email improvements in version 4.0. Please check the blog in a few days for an update. I think it will cover your questions.

  • Thanks, this was really helpful

  • hi

    i have crm 3.0 and i can't upgrade it to 4. i have exchange 2007! what are my options so i can send e-mails from the crm?

Page 1 of 1 (9 items)
Leave a Comment
  • Please add 8 and 4 and type the answer here:
  • Post